%define oname   rubyforge

Name:       ruby-%{oname}
Version:    2.0.4
Release:    %mkrel 3
Summary:    A script which automates a limited set of rubyforge operations
Group:      Development/Ruby
License:    MIT
URL:        http://codeforpeople.rubyforge.org/rubyforge/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(hoe) >= 2.6.2
BuildArch:  noarch

%description
A script which automates a limited set of rubyforge operations.

* Run 'rubyforge help' for complete usage.
* Setup: For first time users AND upgrades to 0.4.0:
  * rubyforge setup (deletes your username and password, so run sparingly!)
  * edit ~/.rubyforge/user-config.yml
  * rubyforge config
* For all rubyforge upgrades, run 'rubyforge config' to ensure you have
latest.

%files
%defattr(-, root, root, -)
%{_bindir}/rubyforge
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
BuildArch:  noarch

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/History.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Manifest.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.txt
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

#fix shebang
sed -i '/^#!/d' %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/rubyforge.rb

%check
rake test

%clean
rm -rf %{buildroot}




%changelog
* Wed Jan 26 2011 shikamaru <shikamaru> 2.0.4-3.mga1
+ Revision: 39705
- rebuild for new rubygems.rb

* Sun Jan 23 2011 shikamaru <shikamaru> 2.0.4-1.mga1
+ Revision: 34638
- imported package ruby-rubyforge


* Thu Jan 20 2011 Remy CLOUARD <shikamaru@myoboku.shikamaru.fr> - 2.0.4-1
- Apply new ruby policy

* Sat Sep 18 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.0.4-1mdv2011.0
+ Revision: 579405
- new release: 2.0.4
- don't install gem archive
- rebuild for new automatic requires/provides

* Wed Feb 03 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.0.3-1mdv2010.1
+ Revision: 500339
- import rubygem-rubyforge


* Mon Feb  3 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.0.3-1
- initial release
